// Copyright (c) 2024 Celestino Amoroso (celestino.amoroso@gmail.com).
// All rights reserved.

// expr.go
package expr

// ----Expression interface
type Expr interface {
	Typer
	Eval(ctx ExprContext) (result any, err error)
	String() string
}
